Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## i2p.susi.util
Class ReadBuffer

    java.lang.Object
      i2p.susi.util.ReadBuffer

    public class ReadBuffer

extends Object

Author:
  susi

Field Summary
`byte[]` | `content`
`int` | `length`
`int` | `offset`

Constructor Summary
`ReadBuffer()`

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### content

    public byte[] content

### length

    public int length

### offset

    public int offset

Constructor Detail

### ReadBuffer

    public ReadBuffer()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD